package com.glxp.api.admin.constant;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class BussinessTypeUtils {

    public static List<String> getBusssinessTypes() {
        List<String> types = new ArrayList<>();
        types.add(ConstantType.TYPE_PUT_PRODUCT);
        types.add(ConstantType.TYPE_PUT_PURCHASE);
        types.add(ConstantType.TYPE_PUT_RETURN);
        types.add(ConstantType.TYPE_PUT_ALLOT);
        types.add(ConstantType.TYPE_OUT_RETURN);
        types.add(ConstantType.TYPE_OUT_DESTORY);
        types.add(ConstantType.TYPE_OUT_STRAIGHT);
        types.add(ConstantType.TYPE_OUT_REWORK);
        types.add(ConstantType.TYPE_OUT_CHECK);
        types.add(ConstantType.TYPE_CODE_REPLACE);
        types.add(ConstantType.TYPE_CODE_DESTORY);
        types.add(ConstantType.TYPE_STOCK_CHECK);
        types.add(ConstantType.TYPE_OUT_SALE);
        types.add(ConstantType.TYPE_OUT_ALLOT);
        return types;
    }

    public static Map<String,String> getBusssinessTypeMap() {
        Map<String,String> types = new HashMap<>();
        types.put("生产入库", ConstantType.TYPE_PUT_PRODUCT);
        types.put("采购入库", ConstantType.TYPE_PUT_PURCHASE);
        types.put("退货入库", ConstantType.TYPE_PUT_RETURN);
        types.put("调拨入库", ConstantType.TYPE_PUT_ALLOT);
        types.put("退货出库", ConstantType.TYPE_OUT_RETURN);
        types.put("销毁出库", ConstantType.TYPE_OUT_DESTORY);
        types.put("直调出库", ConstantType.TYPE_OUT_STRAIGHT);
        types.put("返工出库", ConstantType.TYPE_OUT_REWORK);
        types.put("抽检出库", ConstantType.TYPE_OUT_CHECK);
        types.put("码替换", ConstantType.TYPE_CODE_REPLACE);
        types.put("码注销", ConstantType.TYPE_CODE_DESTORY);
        types.put("盘点", ConstantType.TYPE_STOCK_CHECK);
        types.put("销售出库", ConstantType.TYPE_OUT_SALE);
        types.put("调拨出库", ConstantType.TYPE_OUT_ALLOT);
        return types;
    }


}
