package com.glxp.api.admin.constant;

/**
 * 出入库单据校验状态
 */
public class ConstantStatus {

    //订单状态
    public static final Integer ORDER_STATUS_PROCESS = 1;   //等待处理
    public static final Integer ORDER_STATUS_CHECK = 2;     //等待校验
    public static final Integer ORDER_STATUS_FAIL = 3;      //重码校验失败
    public static final Integer ORDER_STATUS_SUCCESS = 4;   //已校验

    //ERP校验状态
    public static final Integer ORDER_CHECK_SUCCESS = 2;    //校验成功
    public static final Integer ORDER_CHECK_FAIL = 1;       //校验失败
    public static final Integer ORDER_CHECK_UN = 0;       //校验失败

    //ERP订单上传状态
    public static final Integer ORDER_EXPORT_UN = 0;    //未导出
    public static final Integer ORDER_EXPORT_ED = 1;    //已导出
    public static final Integer ORDER_EXPORT_FAIL = 2;    //导出失败

    //ERP订单签字状态
    public static final Integer ORDER_SIGN_UN = 0;    //未签字
    public static final Integer ORDER_SIGN_ED = 1;    //已签字
    public static final Integer ORDER_SIGN_FAIL = 2;    //签字失败


    //UDI产品信息表字段类型
    public static final Integer PRODUCT_TYPE_UDI = 0;
    public static final Integer PRODUCT_TYPE_THIRD = 1;

    //DI类型
    public static final Integer DI_TYPE_MAIN = 1;//主标识
    public static final Integer DI_TYPE_SYDY = 2;//使用单元
    public static final Integer DI_TYPE_BTBS = 3;//本体标识
    public static final Integer DI_TYPE_BZBS = 4;//包装标识

}
