package com.glxp.api.admin.controller.inout.utils;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

public class DataTransUtil {

    public static String erpListToStr(List<String> erpIdList) {
        if (erpIdList != null && erpIdList.size() > 0) {
            List<String> erpIds = erpIdList.stream().distinct().collect(Collectors.toList());
            String str = "";
            for (String erpId : erpIds) {
                str = "," + str;
            }
            return str.substring(1);
        } else
            return null;
    }

    public static String[] strToErpArray(String erpFk) {
        if (erpFk != null && erpFk.length() > 0) {
            return erpFk.split(",");
        } else
            return null;
    }

    public static List<String> strToErpList(String erpFk) {
        if (erpFk != null && erpFk.length() > 0) {
            String[] erpArray = erpFk.split(",");
            List<String> erpList = new ArrayList<>();
            for (int i = 0; i < erpArray.length; i++) {
                erpList.add(erpArray[i]);
            }
            return erpList;
        } else
            return null;
    }
}
