package com.glxp.api.admin.dao.basic;

import com.glxp.api.admin.entity.basic.UdiInfoExportLogEntity;
import com.glxp.api.admin.req.basic.FilterUdiEpLogRequest;
import com.glxp.api.admin.req.basic.FilterUdiIpLogRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface UdiInfoExportLogDao {

    List<UdiInfoExportLogEntity> filterUdiInfoExportLog(FilterUdiEpLogRequest filterInCodeLogRequest);

    boolean insertUdiInfoExportLog(UdiInfoExportLogEntity udiInfoImportEntity);

    boolean updateUdiInfoExportLog(UdiInfoExportLogEntity udiInfoImportEntity);

    boolean deleteById(@Param("id") String id);

}
