package com.glxp.api.admin.dao.info;

import com.glxp.api.admin.entity.info.SystemPDFTemplateEntity;
import com.glxp.api.admin.req.info.SystemPDFTemplateRequest;
import com.glxp.api.admin.req.info.SystemPDFTemplateSaveRequest;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface SystemPDFTemplateDao {

    List<SystemPDFTemplateEntity> queryPage(SystemPDFTemplateRequest systemPDFTemplateRequest);

    List<SystemPDFTemplateEntity> listPDFTemplates();

    SystemPDFTemplateEntity findSystemPDFTemplate(SystemPDFTemplateRequest systemPDFTemplateRequest);

    SystemPDFTemplateEntity selectById(String id);

    boolean updateById(SystemPDFTemplateSaveRequest systemPDFTemplateSaveRequest);

    boolean insert(SystemPDFTemplateEntity systemPDFTemplateEntity);

    boolean deleteById(Integer id);
}
