package com.glxp.api.admin.dao.inout;

import com.glxp.api.admin.entity.inout.StockOrderDetailEntity;
import com.glxp.api.admin.req.inout.StockOrderDetailFilterRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface StockOrderDetailDao {

    List<StockOrderDetailEntity> filterStockOrderDetail(StockOrderDetailFilterRequest stockOrderDetailFilterRequest);

    boolean insertStockOrderDetail(StockOrderDetailEntity stockOrderDetailEntity);

    boolean insertStockOrderDetails(@Param("stockOrderDetailEntities") List<StockOrderDetailEntity> stockOrderDetailEntitys);

    boolean updateById(StockOrderDetailEntity stockOrderDetailEntity);

    boolean deleteById(@Param("id") String id);

    boolean deleteByOrderIdFk(@Param("id") String id);

    StockOrderDetailEntity findOne(@Param("id") String id);
}
