package com.glxp.api.admin.dao.thrsys;

import com.glxp.api.admin.entity.thrsys.ThrInvProductsEntity;
import com.glxp.api.admin.req.thrsys.FilterThrInvProductsRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ThrInvProductsDao {

    List<ThrInvProductsEntity> filterThrInvProductss(FilterThrInvProductsRequest filterThrInvProductsRequest);

    ThrInvProductsEntity selectById(@Param("id") String id);

    boolean insertThrInvProduct(ThrInvProductsEntity thrInvProductsEntity);

    boolean insertThrInvProducts(@Param("thrInvProductsEntities") List<ThrInvProductsEntity> thrInvProductsEntities);

    boolean updateThrInvProducts(ThrInvProductsEntity thrInvProductsEntity);

    boolean deleteById(@Param("id") String id);

    boolean deleteAll();

}
