package com.glxp.api.admin.dao.thrsys;

import com.glxp.api.admin.entity.thrsys.ThrProductsImportDetailEntity;
import com.glxp.api.admin.req.basic.FilterUdiIpLogRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ThrProductsImportDetailDao {


    List<ThrProductsImportDetailEntity> filterProductsDetailImport(FilterUdiIpLogRequest filterInCodeLogRequest);

    boolean insertProductsDetailImport(ThrProductsImportDetailEntity thrOrderImportDetailEntity);

    boolean updateProductsDetailImport(ThrProductsImportDetailEntity thrOrderImportDetailEntity);

    boolean insertProductsDetailImports(@Param("products") List<ThrProductsImportDetailEntity> thrOrderImportDetailEntities);

    boolean deleteById(@Param("id") String id);

    boolean deleteByGenkey(@Param("genKey") String genKey);

}
