package com.glxp.api.admin.req;

import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;

/**
 * 分页的表单
 */
@Data
public class ListPageRequest {


    @Min(message = "分页参数错误", value = 1)
    private Integer page;


    @Min(value = 1, message = "分页参数不能小于1")
    @Max(value = 500, message = "分页参数不能大于50")
    private Integer limit;

}
