package com.glxp.api.admin.req.thrsys;

import com.glxp.api.admin.entity.thrsys.ThrProductsEntity;
import com.glxp.api.admin.req.ListPageRequest;
import lombok.Data;

import java.util.List;

@Data
public class FilterThrProductsRequest extends ListPageRequest {
    private List<ThrProductsEntity> thrProductsEntities;
    private String code;
    private String name;
    private String spec;        //规格型号
    private String registerNo;  //注册证号
    private String manufactory; //生产厂家
    private String thirdSys;
    private String thirdSysFk;
    private String unionCode;
}
