package com.glxp.api.admin.service.basic;

import com.glxp.api.admin.entity.basic.BasicThirdSysDetailEntity;
import com.glxp.api.admin.entity.basic.BussinessTypeEntity;
import com.glxp.api.admin.entity.thrsys.ThrOrderDetailEntity;
import com.glxp.api.admin.req.receipt.BussinessTypeFilterRequest;
import com.glxp.api.admin.res.basic.BussinessTypResponse;

import java.util.List;

public interface BussinessTypeService {

    List<BussinessTypeEntity> filterList(BussinessTypeFilterRequest bussinessTypeFilterRequest);

    List<BussinessTypResponse> filterJoinList(BussinessTypeFilterRequest bussinessTypeFilterRequest);

    BussinessTypeEntity findBTByAction(String action);

    BussinessTypeEntity findBTByName(String name);

    BussinessTypResponse findJoinBTByAction(String action);

    BasicThirdSysDetailEntity findByActionKey(String action, String key);

    boolean insertBussinessType(BussinessTypeEntity bussinessTypeEntity);

    boolean updateBussinessType(BussinessTypeEntity bussinessTypeEntity);

    boolean deleteById(String id);
}
