package com.glxp.api.admin.service.info;


import com.glxp.api.admin.entity.info.SystemPDFTemplateEntity;
import com.glxp.api.admin.req.info.SystemPDFTemplateRequest;
import com.glxp.api.admin.req.info.SystemPDFTemplateSaveRequest;

import java.util.List;


public interface SystemPDFTemplateService {

    List<SystemPDFTemplateEntity> queryPage(SystemPDFTemplateRequest systemPDFTemplateRequest);

    List<SystemPDFTemplateEntity> listPDFTemplates(Integer page, Integer limit);

    SystemPDFTemplateEntity findSystemPDFTemplate(SystemPDFTemplateRequest systemPDFTemplateRequest);

    SystemPDFTemplateEntity selectById(String id);

    boolean updateById(SystemPDFTemplateSaveRequest systemPDFTemplateSaveRequest);

    boolean insert(SystemPDFTemplateEntity systemPDFTemplateEntity);

    boolean deleteById(Integer id);
}
