package com.glxp.api.admin.service.info;


import com.glxp.api.admin.entity.info.SystemParamConfigEntity;
import com.glxp.api.admin.req.info.SystemParamConfigRequest;
import com.glxp.api.admin.req.info.SystemParamConfigSaveRequest;

import java.util.List;


public interface SystemParamConfigService {

    List<SystemParamConfigEntity> queryPage(SystemParamConfigRequest SystemParamConfigRequest);

    SystemParamConfigEntity selectSystemParamConfig();

    SystemParamConfigEntity findSystemParamConfig(SystemParamConfigRequest SystemParamConfigRequest);

    SystemParamConfigEntity selectByParamName(SystemParamConfigRequest systemParamConfigRequest);

    SystemParamConfigEntity selectByParamKey(String  key);

    String  selectValueByParamKey(String  key);

    boolean updateById(SystemParamConfigSaveRequest systemParamConfigSaveRequest);

    boolean updateParentId(SystemParamConfigSaveRequest systemParamConfigSaveRequest);

    boolean insert(SystemParamConfigEntity systemParamConfigEntity);
}
