package com.glxp.api.admin.service.inout;

import com.glxp.api.admin.entity.inout.StockOrderDetailEntity;
import com.glxp.api.admin.req.inout.StockOrderDetailFilterRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface StockOrderDetailService {

    List<StockOrderDetailEntity> filterStockOrderDetail(StockOrderDetailFilterRequest stockOrderDetailFilterRequest);

    boolean insertStockOrderDetail(StockOrderDetailEntity stockOrderDetailEntity);

    boolean insertStockOrderDetails(List<StockOrderDetailEntity> stockOrderDetailEntities);

    boolean updateById(StockOrderDetailEntity stockOrderDetailEntity);

    boolean deleteById(String id);

    boolean deleteByOrderIdFk(String id);

    StockOrderDetailEntity findOne(@Param("id") String id);
}
