package com.glxp.api.admin.service.inventory;

import com.glxp.api.admin.entity.inventory.StockPrintEntity;
import com.glxp.api.admin.req.basic.FilterStockprintRequest;
import java.util.List;

public interface InvStockPrintService {

    List<StockPrintEntity> filterStockPrint(FilterStockprintRequest filterStockprintRequest);

    StockPrintEntity findByNameCode(String nameCode);

    StockPrintEntity findByRlId(FilterStockprintRequest filterStockprintRequest);

    boolean insertStockPrint(StockPrintEntity stockPrintEntity);

    boolean insertStockPrints(List<StockPrintEntity> stockPrintEntities);

    boolean updateStockPrint(StockPrintEntity udiInfoEntity);

    boolean deleteById(String id);

    boolean deleteByGenKey(String genKey);

    boolean updatePrintStatus(List<String> ids);

}
