package com.glxp.api.admin.config;

import com.github.pagehelper.PageHelper;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.Properties;

@Configuration
public class PageHelperConfig {

    /**
     * 注入pagehelper配置
     *
     * @return
     */
    @Bean
    public PageHelper getPageHelper() {
        PageHelper pageHelper = new PageHelper();
        Properties properties = new Properties();
        properties.setProperty("offsetAsPageNum", "false");
        properties.setProperty("rowBoundsWithCount", "false");
        properties.setProperty("pageSizeZero", "true");
        properties.setProperty("reasonable", "false");
        properties.setProperty("supportMethodsArguments", "false");
        properties.setProperty("returnPageInfo", "none");
        properties.setProperty("autoDialect", "true");
        properties.setProperty("autoRuntimeDialect", "true"); //处理多数据源数据库
        System.out.println("配置多数据"+properties.getProperty("autoRuntimeDialect"));
        pageHelper.setProperties(properties);
        return pageHelper;
    }

}
