package com.glxp.api.admin.dao.basic;

import com.glxp.api.admin.entity.basic.UdiInfoImportDetailEntity;
import com.glxp.api.admin.req.basic.FilterUdiIpLogRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface UdiInfoImportDetailDao {

    List<UdiInfoImportDetailEntity> filterUdiInfoImport(FilterUdiIpLogRequest filterInCodeLogRequest);

    boolean insertUdiInfoImport(UdiInfoImportDetailEntity udiInfoImportEntity);

    boolean updateUdiInfoImport(UdiInfoImportDetailEntity udiInfoImportEntity);

    boolean insertUdiInfoImports(@Param("udiInfos") List<UdiInfoImportDetailEntity> udiInfos);

    boolean deleteById(@Param("id") String id);

    boolean deleteByGenkey(@Param("genKey") String genKey);

}
