package com.glxp.api.admin.dao.basic;

import com.glxp.api.admin.entity.basic.UdiInfoEntity;
import com.glxp.api.admin.entity.basic.UdiRelevanceEntity;
import com.glxp.api.admin.req.basic.FilterUdiInfoRequest;
import com.glxp.api.admin.res.basic.UdiRelevanceResponse;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface UdiRelevanceDao {

    List<UdiRelevanceResponse> filterUdiRelevance(FilterUdiInfoRequest filterUdiInfoRequest);

    List<UdiRelevanceResponse> filterUdiGp(FilterUdiInfoRequest filterUdiInfoRequest);

    //    UdiRelevanceResponse selectUdiByUUid
    List<UdiRelevanceEntity> selectByUuid(@Param("uuid") String uuid);

    UdiRelevanceEntity selectById(@Param("id") String id);

    UdiRelevanceEntity selectByThirdId(FilterUdiInfoRequest filterUdiInfoRequest);
    List<UdiRelevanceEntity> filterEntity(FilterUdiInfoRequest filterUdiInfoRequest);


    boolean insertUdiRelevance(UdiRelevanceEntity udiRelevanceEntity);

    boolean updateUdiRelevance(UdiRelevanceEntity udiRelevanceEntity);

    boolean deleteById(@Param("id") String id);

    boolean deleteByIds(@Param("ids") List<String> id);

    boolean deleteByUuid(@Param("uuid") String uuid);
}
