package com.glxp.api.admin.dao.info;

import com.glxp.api.admin.entity.info.SystemPDFModuleEntity;
import com.glxp.api.admin.req.info.SystemPDFModuleRequest;
import com.glxp.api.admin.req.info.SystemPDFModuleSaveRequest;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface SystemPDFModuleDao {

    List<SystemPDFModuleEntity> queryPage(SystemPDFModuleRequest systemPDFModuleRequest);

    List<SystemPDFModuleEntity> listPDFModules();

    SystemPDFModuleEntity findSystemPDFModule(SystemPDFModuleRequest systemPDFModuleRequest);

    SystemPDFModuleEntity selectById(String id);

    boolean updateById(SystemPDFModuleSaveRequest systemPDFModuleSaveRequest);

    boolean insert(SystemPDFModuleEntity systemPDFModuleEntity);

    boolean deleteById(Integer id);
}
