package com.glxp.api.admin.dao.info;

import com.glxp.api.admin.entity.info.SystemParamConfigEntity;
import com.glxp.api.admin.req.info.SystemParamConfigRequest;
import com.glxp.api.admin.req.info.SystemParamConfigSaveRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SystemParamConfigDao {
    List<SystemParamConfigEntity> queryPage(SystemParamConfigRequest systemParamConfigRequest);

    SystemParamConfigEntity findSystemParamConfig(SystemParamConfigRequest systemParamConfigRequest);

    SystemParamConfigEntity selectByParamName(SystemParamConfigRequest systemParamConfigRequest);

    SystemParamConfigEntity selectByParamKey(@Param("paramKey") String paramKey);

    boolean updateById(SystemParamConfigSaveRequest systemParamConfigSaveRequest);

    boolean updateParentId(SystemParamConfigSaveRequest systemParamConfigSaveRequest);

    boolean insert(SystemParamConfigEntity systemParamConfigEntity);

}
