package com.glxp.api.admin.dao.inventory;

import com.glxp.api.admin.entity.inout.StockCheckEntity;
import com.glxp.api.admin.req.inout.FilterStockCheckRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface InvOrderCheckDao {
    List<StockCheckEntity> filterStockCheck(FilterStockCheckRequest filterStockCheckRequest);

    boolean insertStockCheck(StockCheckEntity stockCheckEntity);

    boolean updateStockCheck(StockCheckEntity stockCheckEntity);

    boolean deleteById(@Param("id") String id);
}
