package com.glxp.api.admin.dao.thrsys;

import com.glxp.api.admin.entity.thrsys.ThrCorpImportDetailEntity;
import com.glxp.api.admin.req.basic.FilterUdiIpLogRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ThrCorpImportDetailDao {
    List<ThrCorpImportDetailEntity> filterCorpDetailImport(FilterUdiIpLogRequest filterInCodeLogRequest);

    boolean insertCorpDetailImport(ThrCorpImportDetailEntity thrCorpImportDetailEntity);

    boolean updateCorpDetailImport(ThrCorpImportDetailEntity thrCorpImportDetailEntity);

    boolean insertCorpDetailImports(@Param("corps") List<ThrCorpImportDetailEntity> thrCorpImportDetailEntities);

    boolean deleteById(@Param("id") String id);

    boolean deleteByGenkey(@Param("genKey") String genKey);
}
