package com.glxp.api.admin.dao.thrsys;

import com.glxp.api.admin.entity.thrsys.ThrInvProductsImportDetailEntity;
import com.glxp.api.admin.req.basic.FilterUdiIpLogRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ThrInvProductsDetailDao {
    List<ThrInvProductsImportDetailEntity> filterInvProductsDetailImport(FilterUdiIpLogRequest filterInCodeLogRequest);

    boolean insertInvProductsDetailImport(ThrInvProductsImportDetailEntity thrInvProductsImportDetailEntity);

    boolean updateInvProductsDetailImport(ThrInvProductsImportDetailEntity thrInvProductsImportDetailEntity);

    boolean insertInvProductsDetailImports(@Param("invProducts") List<ThrInvProductsImportDetailEntity> thrInvProductsImportDetailEntities);

    boolean deleteById(@Param("id") String id);

    boolean deleteByGenkey(@Param("genKey") String genKey);
}
