package com.glxp.api.admin.dao.thrsys;

import com.glxp.api.admin.entity.thrsys.ThrOrderEntity;
import com.glxp.api.admin.req.thrsys.FilterThrOrderRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ThrOrderDao {

    List<ThrOrderEntity> filterThrOrder(FilterThrOrderRequest filterThrOrderRequest);

    boolean insertThrOrder(ThrOrderEntity thrCorpEntity);

    boolean insertThrOrders(@Param("thrOrderEntities") List<ThrOrderEntity> thrOrderEntities);

    boolean updateThrOrder(ThrOrderEntity thrOrderEntity);

    boolean deleteById(@Param("id") String id);

    boolean deleteAll();
}
