package com.glxp.api.admin.dao.thrsys;

import com.glxp.api.admin.entity.thrsys.ThrOrderImportDetailEntity;
import com.glxp.api.admin.req.basic.FilterUdiIpLogRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ThrOrderImportDetailDao {

    List<ThrOrderImportDetailEntity> filterOrderdDetailImport(FilterUdiIpLogRequest filterInCodeLogRequest);

    boolean insertOrderdDetailImport(ThrOrderImportDetailEntity thrOrderImportDetailEntity);

    boolean updateOrderdDetailImport(ThrOrderImportDetailEntity thrOrderImportDetailEntity);

    boolean insertOrderdDetailImports(@Param("orders") List<ThrOrderImportDetailEntity> thrOrderImportDetailEntities);

    boolean deleteById(@Param("id") String id);

    boolean deleteByGenkey(@Param("genKey") String genKey);
}
