package com.glxp.api.admin.req.auth;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 管理员的提交保存表单
 */
@Data
public class AuthAdminSaveRequest {
    // id
    private Long id;
    // 昵称
    @NotEmpty(message = "请输入用户名")
    private String userName;
    // 登录密码
    private String passWord;
    // 状态
    @NotNull(message = "请选择状态")
    private Integer userFlag;
    private String employeeName;


    // 最后登录ip
    private String lastLoginIp;
    // 最后登录时间
    private String lastLoginTime;
    // 创建时间
    private String createTime;

    private String lastModifyTime;
    private String comments;
    // 角色ids
    private List<Long> roles;
}
