package com.glxp.api.admin.req.itextpdf;

import lombok.Data;

@Data
public class InoutOrderDetailPDFCodeRequest {
    private String orderId;
    private SettingData settingData;

    private String actionName;
    private String fromCorp;
    private String fromType;
    private Long customerId;

    public static class SettingData {
        private boolean orderIdEnable;
        private int orderIdWidth;
        private boolean actionEnable;
        private int actionWidth;
        private boolean fromCorpEnable;
        private int fromCorpWidth;
        private boolean fromTypeEnable;
        private int fromTypeWidth;

        private boolean numberEnable;
        private int numberWidth;
        private boolean coNameEnable;
        private int coNameWidth;
        private boolean packSpecEnable;
        private int packSpecWidth;
        private boolean batchNoEnable;
        private int batchNoWidth;
        private boolean countEnable;
        private int countWidth;
        private boolean productCompanyEnable;
        private int productCompanyWidth;
        private boolean authCodeEnable;
        private int authCodeWidth;

        public boolean getOrderIdEnable() { return orderIdEnable; }
        public void setOrderIdEnable(boolean orderIdEnable) {
            this.orderIdEnable = orderIdEnable;
        }
        public int getOrderIdWidth() {
            return orderIdWidth;
        }
        public void setOrderIdWidth(int orderIdWidth) {
            this.orderIdWidth = orderIdWidth;
        }

        public boolean getActionEnable() { return actionEnable; }
        public void setActionEnable(boolean actionEnable) {
            this.actionEnable = actionEnable;
        }
        public int getActionWidth() {
            return actionWidth;
        }
        public void setActionWidth(int actionWidth) {
            this.actionWidth = actionWidth;
        }

        public boolean getFromCorpEnable() { return fromCorpEnable; }
        public void setFromCorpEnable(boolean fromCorpEnable) {
            this.fromCorpEnable = fromCorpEnable;
        }
        public int getFromCorpWidth() {
            return fromCorpWidth;
        }
        public void setFromCorpWidth(int fromCorpWidth) {
            this.fromCorpWidth = fromCorpWidth;
        }

        public boolean getFromTypeEnable() { return fromTypeEnable; }
        public void setFromTypeEnable(boolean fromTypeEnable) {
            this.fromTypeEnable = fromTypeEnable;
        }
        public int getFromTypeWidth() {
            return fromTypeWidth;
        }
        public void setFromTypeWidth(int fromTypeWidth) {
            this.fromTypeWidth = fromTypeWidth;
        }

        public boolean getNumberEnable() { return numberEnable; }
        public void setNumberEnable(boolean numberEnable) {
            this.numberEnable = numberEnable;
        }
        public int getNumberWidth() {
            return numberWidth;
        }
        public void setNumberWidth(int numberWidth) {
            this.numberWidth = numberWidth;
        }

        public boolean getCoNameEnable() { return coNameEnable; }
        public void setCoNameEnable(boolean coNameEnable) {
            this.coNameEnable = coNameEnable;
        }
        public int getCoNameWidth() {
            return coNameWidth;
        }
        public void setCoNameWidth(int coNameWidth) {
            this.coNameWidth = coNameWidth;
        }

        public boolean getPackSpecEnable() { return packSpecEnable; }
        public void setPackSpecEnable(boolean packSpecEnable) {
            this.packSpecEnable = packSpecEnable;
        }
        public int getPackSpecWidth() {
            return packSpecWidth;
        }
        public void setPackSpecWidth(int packSpecWidth) {
            this.packSpecWidth = packSpecWidth;
        }

        public boolean getBatchNoEnable() { return batchNoEnable; }
        public void setBatchNoEnable(boolean batchNoEnable) {
            this.batchNoEnable = batchNoEnable;
        }
        public int getBatchNoWidth() {
            return batchNoWidth;
        }
        public void setBatchNoWidth(int batchNoWidth) {
            this.batchNoWidth = batchNoWidth;
        }

        public boolean getCountEnable() { return countEnable; }
        public void setCountEnable(boolean countEnable) {
            this.countEnable = countEnable;
        }
        public int getCountWidth() {
            return countWidth;
        }
        public void setCountWidth(int countWidth) {
            this.countWidth = countWidth;
        }

        public boolean getProductCompanyEnable() { return productCompanyEnable; }
        public void setProductCompanyEnable(boolean productCompanyEnable) {
            this.productCompanyEnable = productCompanyEnable;
        }
        public int getProductCompanyWidth() {
            return productCompanyWidth;
        }
        public void setProductCompanyWidth(int productCompanyWidth) {
            this.productCompanyWidth = productCompanyWidth;
        }

        public boolean getAuthCodeEnable() { return authCodeEnable; }
        public void setAuthCodeEnable(boolean authCodeEnable) {
            this.authCodeEnable = authCodeEnable;
        }
        public int getAuthCodeWidth() {
            return authCodeWidth;
        }
        public void setAuthCodeWidth(int authCodeWidth) {
            this.authCodeWidth = authCodeWidth;
        }
    }
}
