package com.glxp.api.admin.req.thrsys;

import com.glxp.api.admin.entity.thrsys.ThrInvProductsEntity;
import com.glxp.api.admin.req.ListPageRequest;
import com.glxp.api.admin.res.inventory.ErpInvProductResponse;
import lombok.Data;

import java.util.List;

@Data
public class FilterThrInvProductsRequest extends ListPageRequest {

    private String inventoryCode;
    private String inventoryName;
    private String thirdSysFk;
    private String batchNo;
    private String warehouseCode;
    private List<String> inventoryCodes;
    private String udiCode;
    private String nameCode;
    private String thirdSys;
    List<ErpInvProductResponse> erpInvProductResponses;



    private String spec;
    private String registerCertNo;
    private String manufactory;
    private Integer filterCount;//0:不过滤，1，过滤等于0，2.过滤大于0
}
