package com.glxp.api.admin.req.thrsys;

import com.glxp.api.admin.req.ListPageRequest;
import com.glxp.api.admin.res.inout.ErpOrderResponse;
import lombok.Data;

import java.util.List;

@Data
public class FilterThrOrderRequest extends ListPageRequest {

    private String id;
    private String billNo;
    private String thirdSysFk;
    private String startDate;  //起始日期
    private String endDate;       //结束日期
    private String billFlag;       //单据状态,0.未签字，1.已签字
    private String billAction;
    private String corpName;


    private List<ErpOrderResponse> erpOrderResponses;
}
