package com.glxp.api.admin.res.inout;

import java.util.List;

public class ErpOrderResponse {

    private String billNo;
    private String billdate;
    private String corpId;
    private String corpName;
    private String billType;
    private String billFlag;
    private String originType;
    private List<ErpOrderResponse.SubErpOrder> subErpOrders;

    public String getBillNo() {
        return billNo;
    }

    public void setBillNo(String billNo) {
        this.billNo = billNo;
    }

    public String getBilldate() {
        return billdate;
    }

    public void setBilldate(String billdate) {
        this.billdate = billdate;
    }

    public String getCorpId() {
        return corpId;
    }

    public void setCorpId(String corpId) {
        this.corpId = corpId;
    }

    public String getCorpName() {
        return corpName;
    }

    public void setCorpName(String corpName) {
        this.corpName = corpName;
    }

    public String getBillType() {
        return billType;
    }

    public void setBillType(String billType) {
        this.billType = billType;
    }


    public List<SubErpOrder> getSubErpOrders() {
        return subErpOrders;
    }

    public void setSubErpOrders(List<SubErpOrder> subErpOrders) {
        this.subErpOrders = subErpOrders;
    }

    public String getBillFlag() {
        return billFlag;
    }

    public void setBillFlag(String billFlag) {
        this.billFlag = billFlag;
    }

    public String getOriginType() {
        return originType;
    }

    public void setOriginType(String originType) {
        this.originType = originType;
    }

    public static class SubErpOrder {
        private String productId;
        private String productName;
        private String spec;
        private String batchNo;
        private String expireDate;
        private String productDate;
        private Integer count;  //账面数量
        private Integer reCount;    //实际数量

        public String getProductId() {
            return productId;
        }

        public void setProductId(String productId) {
            this.productId = productId;
        }

        public String getProductName() {
            return productName;
        }

        public void setProductName(String productName) {
            this.productName = productName;
        }

        public String getSpec() {
            return spec;
        }

        public void setSpec(String spec) {
            this.spec = spec;
        }

        public String getBatchNo() {
            return batchNo;
        }

        public void setBatchNo(String batchNo) {
            this.batchNo = batchNo;
        }

        public String getExpireDate() {
            return expireDate;
        }

        public void setExpireDate(String expireDate) {
            this.expireDate = expireDate;
        }

        public String getProductDate() {
            return productDate;
        }

        public void setProductDate(String productDate) {
            this.productDate = productDate;
        }

        public Integer getCount() {
            return count;
        }

        public void setCount(Integer count) {
            this.count = count;
        }

        public Integer getReCount() {
            return reCount;
        }

        public void setReCount(Integer reCount) {
            this.reCount = reCount;
        }
    }

}
