package com.glxp.api.admin.service.basic;

import com.glxp.api.admin.entity.basic.UdiInfoEntity;
import com.glxp.api.admin.req.basic.FilterUdiInfoRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface UdiInfoService {

    List<UdiInfoEntity> filterUdiInfo(FilterUdiInfoRequest filterUdiInfoRequest);

    List<UdiInfoEntity> filterAllUdiInfo(FilterUdiInfoRequest filterUdiInfoRequest);

    UdiInfoEntity findByNameCode(String nameCode);

    UdiInfoEntity findByUuid(String uuid);

    List<UdiInfoEntity> findByUuids(String uuid);

    boolean insertUdiInfo(UdiInfoEntity udiInfoEntity);

    boolean insertUdiInfos(List<UdiInfoEntity> udiInfoEntities);

    boolean updateUdiInfo(UdiInfoEntity udiInfoEntity);

    boolean deleteById(String id);

    boolean deleteByUuid(String uuid);

}
