package com.glxp.api.admin.service.info;


import com.glxp.api.admin.entity.info.SystemPDFModuleEntity;
import com.glxp.api.admin.req.info.SystemPDFModuleRequest;
import com.glxp.api.admin.req.info.SystemPDFModuleSaveRequest;

import java.util.List;


public interface SystemPDFModuleService {

    List<SystemPDFModuleEntity> queryPage(SystemPDFModuleRequest systemPDFModuleRequest);

    List<SystemPDFModuleEntity> listPDFModules(Integer page, Integer limit);

    SystemPDFModuleEntity findSystemPDFModule(SystemPDFModuleRequest systemPDFModuleRequest);

    SystemPDFModuleEntity selectById(String id);

    boolean updateById(SystemPDFModuleSaveRequest systemPDFModuleSaveRequest);

    boolean insert(SystemPDFModuleEntity systemPDFModuleEntity);

    boolean deleteById(Integer id);
}
