package com.glxp.api.admin.service.info.impl;

import com.glxp.api.admin.dao.info.CompanyDao;
import com.glxp.api.admin.entity.info.CompanyEntity;
import com.glxp.api.admin.service.info.CompanyService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class CompanyServiceImpl implements CompanyService {

    @Resource
    CompanyDao companyDao;

    @Override
    public CompanyEntity findCompany() {
        return companyDao.findCompany();
    }

    @Override
    public boolean modifyCompany(CompanyEntity companyEntity) {

        if (findCompany() == null) {
            return companyDao.insertCompany(companyEntity);
        } else
            return companyDao.modifyCompany(companyEntity);
    }
}
