package com.glxp.api.admin.service.inout;

import com.glxp.api.admin.entity.inout.ErpOrderEntity;
import com.glxp.api.admin.entity.inout.FilterErpOrderRequest;

import java.util.List;

public interface OrderDetailService {

    List<ErpOrderEntity> filterAllMyErpOrder(FilterErpOrderRequest filterErpOrderRequest);

    List<ErpOrderEntity> findByStockCheck(FilterErpOrderRequest filterErpOrderRequest);

    List<ErpOrderEntity> filterMyErpOrder(FilterErpOrderRequest filterErpOrderRequest);

    List<ErpOrderEntity> filterMyErpMainOrder(FilterErpOrderRequest filterErpOrderRequest);

    List<ErpOrderEntity> filterMyErpDetailOrder(FilterErpOrderRequest filterErpOrderRequest);

    List<ErpOrderEntity> findAllByDocids(List<String> docids);

    List<String> filterAllDocid(FilterErpOrderRequest filterErpOrderRequest);

    List<ErpOrderEntity> filterAllDocidE(FilterErpOrderRequest filterErpOrderRequest);

    boolean insertErpOrders(List<ErpOrderEntity> erpOrderEntities);

    boolean insertErpOrder(ErpOrderEntity erpOrderEntity);

    boolean updateErpOrder(ErpOrderEntity erpOrderEntity);

    List<String> selectAllIds(List<String> docids);

    boolean deleteById(String id);

    boolean deleteByPrimiyId( String id);

    boolean deleteByOrderId(String id);
}
