package com.glxp.api.admin.service.inout;


import com.glxp.api.admin.entity.inout.StockOrderEntity;
import com.glxp.api.admin.req.inout.StockOrderFilterRequest;
import com.glxp.api.admin.req.inout.StockOrderQueryRequest;

import java.util.List;

public interface StockOrderService {

    List<StockOrderEntity> listStockOrders(StockOrderQueryRequest stockOrderQueryRequest);

    List<StockOrderEntity> listStockOrderNoDealWith(StockOrderQueryRequest stockOrderQueryRequest);

    boolean insertStockOrder(StockOrderEntity orderEntity);

    boolean updateById(StockOrderEntity stockOrderEntity);

    boolean deleteByOrderId(String orderId);

    boolean deleteById(String id);

    boolean updateByStatus(String orderId, Integer status);

    List<StockOrderEntity> findAllOrders(StockOrderFilterRequest stockOrderFilterRequest);

    List<StockOrderEntity> filterListOr(StockOrderFilterRequest stockOrderFilterRequest);

    StockOrderEntity findOne(StockOrderFilterRequest stockOrderFilterRequest);

    StockOrderEntity findById(String orderId);
}
