package com.glxp.api.admin.util;

import com.itextpdf.text.Font;
import lombok.Data;

@Data
public class ITextPDFCellConfig {
    private String key;     //键
    private String value;   //值
    private int keyWidth;   //键宽度
    private int valueWidth; //值宽度
    private Font font;      //字体，含中文的字符串必须添加，否则乱码
    private int fixedHeight; //行高
    private int totalColumn; //总宽度
    private int cellMaxColumn;  //单元格最大宽度
    private int disableBorderSide; //单元格边框设置 0：不隐藏，7：隐藏左、上、下边框，13：隐藏上、左、右边框，15：隐藏全部。
    private int horizontalAlignment;    //设置水平位置 0：靠左，1：居中，2：靠右
}